Skip to content
Permalink
Browse files

Pin nightly tests to NCCL 2.4.8 and last successful CUDA 10.1 image (#…

…1547)

Signed-off-by: Travis Addair <taddair@uber.com>
  • Loading branch information
tgaddair committed Dec 1, 2019
1 parent 0407fd9 commit c8c53a9c901e980e3f0a10634322580743bd17b8
Showing with 4 additions and 6 deletions.
  1. +1 −2 Dockerfile.test.cpu
  2. +1 −2 Dockerfile.test.gpu
  3. +2 −2 docker-compose.test.yml
@@ -17,8 +17,7 @@ ARG PYSPARK_PACKAGE=pyspark==2.4.0
SHELL ["/bin/bash", "-cu"]

# Install essential packages.
RUN apt-get update -qq
RUN apt-get install -y --no-install-recommends \
RUN apt-get update -qq && apt-get install -y --no-install-recommends \
wget \
ca-certificates \
cmake \
@@ -21,8 +21,7 @@ ARG HOROVOD_MIXED_INSTALL=0
SHELL ["/bin/bash", "-cu"]

# Install essential packages.
RUN apt-get update -qq
RUN apt-get install -y --allow-downgrades --allow-change-held-packages --no-install-recommends \
RUN apt-get update -qq && apt-get install -y --allow-downgrades --allow-change-held-packages --no-install-recommends \
wget \
ca-certificates \
cmake \
@@ -345,9 +345,9 @@ services:
extends: test-gpu-base
build:
args:
CUDA_DOCKER_VERSION: 10.1-devel-ubuntu18.04
CUDA_DOCKER_VERSION: 10.1-devel-ubuntu18.04@sha256:68efc9bbe07715c54ff30850aeb2e6f0d0b692af3c8dd40f13c0b179bfc0bc15
CUDNN_VERSION: 7.6.5.32-1+cuda10.1
NCCL_VERSION_OVERRIDE: 2.5.4-1+cuda10.1
NCCL_VERSION_OVERRIDE: 2.4.8-1+cuda10.1
MPI_KIND: OpenMPI
PYTHON_VERSION: 3.6
TENSORFLOW_PACKAGE: tf-nightly-gpu

0 comments on commit c8c53a9

Please sign in to comment.
You can’t perform that action at this time.